net.sf.cpsolver.exam

## Class MistaTables.Table

- java.lang.Object
- - net.sf.cpsolver.exam.MistaTables.Table

- Direct Known Subclasses:
    MistaTables.Problems, MistaTables.Rooms
  Enclosing class:
    MistaTables

      public abstract static class MistaTables.Table
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Table()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `add(String problem, ExamModel model)`
    `protected void` | `add(String problem, String property, double value)`
    `protected void` | `add(String problem, String property, int value)`
    `protected void` | `add(String problem, String property, MistaTables.Counter value)`
    `protected void` | `add(String problem, String property, String value)`
    `void` | `save(File folder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Table

          public Table()

  - ### Method Detail

    - #### add

          public abstract void add(String problem,
                                   ExamModel model)

    - #### add

          protected void add(String problem,
                             String property,
                             int value)

    - #### add

          protected void add(String problem,
                             String property,
                             double value)

    - #### add

          protected void add(String problem,
                             String property,
                             MistaTables.Counter value)

    - #### add

          protected void add(String problem,
                             String property,
                             String value)

    - #### save

          public void save(File folder)
                    throws IOException

      Throws:
        `IOException`